Subject: Re: [CDNi] TR: New Version Notification for draft-fieau-cdni-interfaces-https-delegation-05.txt

From: Kevin Ma <[email-masked]>
Date: Sun, 4 Nov 2018 14:54:39 -0500

Hi Frederic,

  (As and individual) I think the updated draft looks good.  A few minor
comments:
  - I would consider hyphenating your property names to make them more
readable, e.g., credentials-delegating-entity vs.
credentialsdelegatingentity.
  - I would add a link to Section 5.1 from the periodicity properties
  - In the json examples, I would remove "AcmeStarDelegationMethod: " and "
SubcertsDelegationMethod:"
  Finally, do you think the ACME STAR and TLS SubCerts drafts should be
normative references?

thanx.

--  Kevin J. Ma

On Mon, Sep 17, 2018 at 10:07 AM <[email-masked]> wrote:

> Dear all,
>
> I just posted a new version of the draft
> "draft-fieau-cdni-interfaces-https-delegation-05" extending the current RFC
> 8006 on MetaData Interface to support delegation schemes in CDNI.
>
> Feel free to comment,
>
> Regards,
> Frederic
>
> -----Message d'origine-----
> De : [email-masked] [mailto:[email-masked]]
> Envoyé : lundi 17 septembre 2018 16:06
> À : Sanjay Mishra; STEPHAN Emile IMT/OLN; STEPHAN Emile IMT/OLN; FIEAU
> Frédéric IMT/OLN
> Objet : New Version Notification for
> draft-fieau-cdni-interfaces-https-delegation-05.txt
>
>
> A new version of I-D, draft-fieau-cdni-interfaces-https-delegation-05.txt
> has been successfully submitted by Frederic Fieau and posted to the
> IETF repository.
>
> Name:           draft-fieau-cdni-interfaces-https-delegation
> Revision:       05
> Title:          CDNI extensions for HTTPS delegation
> Document date:  2018-09-17
> Group:          Individual Submission
> Pages:          10
> URL:
> https://www.ietf.org/internet-drafts/draft-fieau-cdni-interfaces-https-delegation-05.txt
> Status:
> https://datatracker.ietf.org/doc/draft-fieau-cdni-interfaces-https-delegation/
> Htmlized:
> https://tools.ietf.org/html/draft-fieau-cdni-interfaces-https-delegation-05
> Htmlized:
> https://datatracker.ietf.org/doc/html/draft-fieau-cdni-interfaces-https-delegation
> Diff:
> https://www.ietf.org/rfcdiff?url2=draft-fieau-cdni-interfaces-https-delegation-05
>
> Abstract:
>    The delivery of content over HTTPS involving multiple CDNs raises
>    credential management issues.  This document proposes extensions in
>    CDNI Control and Metadata interfaces to setup HTTPS delegation from
>    an Upstream CDN (uCDN) to a Downstream CDN (dCDN).
>
>
>
>
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>
>
>
> _________________________________________________________________________________________________________________________
>
> Ce message et ses pieces jointes peuvent contenir des informations
> confidentielles ou privilegiees et ne doivent donc
> pas etre diffuses, exploites ou copies sans autorisation. Si vous avez
> recu ce message par erreur, veuillez le signaler
> a l'expediteur et le detruire ainsi que les pieces jointes. Les messages
> electroniques etant susceptibles d'alteration,
> Orange decline toute responsabilite si ce message a ete altere, deforme ou
> falsifie. Merci.
>
> This message and its attachments may contain confidential or privileged
> information that may be protected by law;
> they should not be distributed, used or copied without authorisation.
> If you have received this email in error, please notify the sender and
> delete this message and its attachments.
> As emails may be altered, Orange is not liable for messages that have been
> modified, changed or falsified.
> Thank you.
>
> _______________________________________________
> CDNi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cdni
>

---

From: <[email-masked]>
Date: Tue, 6 Nov 2018 10:05:15 +0000

Hi Kevin,

I’m OK with most of your remarks.

Regarding examples, why do you think they should be removed?

ACME/STAR and SubCerts should be, IMO, considered as normative reference since reading those drafts first is a necessary step to understand and configure CDNI metadata.

Thx,
Frederic

De : Kevin Ma [mailto:[email-masked]]
Envoyé : dimanche 4 novembre 2018 20:55
À : FIEAU Frédéric TGI/OLN
Cc : <[email-masked]>
Objet : Re: [CDNi] TR: New Version Notification for draft-fieau-cdni-interfaces-https-delegation-05.txt

Hi Frederic,

  (As and individual) I think the updated draft looks good.  A few minor comments:
  - I would consider hyphenating your property names to make them more readable, e.g., credentials-delegating-entity vs. credentialsdelegatingentity.
  - I would add a link to Section 5.1 from the periodicity properties
  - In the json examples, I would remove "AcmeStarDelegationMethod: " and "SubcertsDelegationMethod:"
  Finally, do you think the ACME STAR and TLS SubCerts drafts should be normative references?

thanx.

--  Kevin J. Ma

On Mon, Sep 17, 2018 at 10:07 AM <[email-masked]<mailto:[email-masked]>> wrote:
Dear all,

I just posted a new version of the draft "draft-fieau-cdni-interfaces-https-delegation-05" extending the current RFC 8006 on MetaData Interface to support delegation schemes in CDNI.

Feel free to comment,

Regards,
Frederic

-----Message d'origine-----
De : [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>]
Envoyé : lundi 17 septembre 2018 16:06
À : Sanjay Mishra; STEPHAN Emile IMT/OLN; STEPHAN Emile IMT/OLN; FIEAU Frédéric IMT/OLN
Objet : New Version Notification for draft-fieau-cdni-interfaces-https-delegation-05.txt

Name:           draft-fieau-cdni-interfaces-https-delegation
Revision:       05
Title:          CDNI extensions for HTTPS delegation
Document date:  2018-09-17
Group:          Individual Submission
Pages:          10
URL:            https://www.ietf.org/internet-drafts/draft-fieau-cdni-interfaces-https-delegation-05.txt
Status:         https://datatracker.ietf.org/doc/draft-fieau-cdni-interfaces-https-delegation/
Htmlized:       https://tools.ietf.org/html/draft-fieau-cdni-interfaces-https-delegation-05
Htmlized:       https://datatracker.ietf.org/doc/html/draft-fieau-cdni-interfaces-https-delegation
Diff:           https://www.ietf.org/rfcdiff?url2=draft-fieau-cdni-interfaces-https-delegation-05

Abstract:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

The IETF Secretariat

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

_______________________________________________
CDNi mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/cdni

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Kevin Ma <[email-masked]>
Date: Tue, 6 Nov 2018 15:11:03 -0500

Hi Frederic,

  For the examples, those tags make that block of text invalid json.  If
those are meant to be titles for the json examples, I don't think they are
necessary since the subject and the metadata type cover that; and even if
you want them, placing them in front of the curly brace makes it very
confusing to read, imo.  Looking at the PathMatch and PathMetadata
examples, at least those are not on the same line as the curly brace.

  I agree that those specs should be normative references; but they are
currently listed as informative.  I would update that.

thanx.

--  Kevin J. Ma

On Tue, Nov 6, 2018 at 5:05 AM <[email-masked]> wrote:

> ACME/STAR and SubCerts should be, IMO, considered as normative reference
> since reading those drafts first is a necessary step to understand and
> configure CDNI metadata.
>
>
>
> Thx,
>
> Frederic
>
>
>
> *De :* Kevin Ma [mailto:[email-masked]]
> *Envoyé :* dimanche 4 novembre 2018 20:55
> *À :* FIEAU Frédéric TGI/OLN
> *Cc :* <[email-masked]>
> *Objet :* Re: [CDNi] TR: New Version Notification for
> readable, e.g., credentials-delegating-entity
> vs. credentialsdelegatingentity.
>